Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Steve Arnold (nerdboy)" <nerdboy@g.o>
Subject: gentoo-x86 commit in net-misc/hylafax: ChangeLog hylafax-4.3.1.ebuild hylafax-4.3.0.ebuild hylafax-4.2.5.ebuild
Date: Wed, 17 Oct 2007 21:19:36 +0000
nerdboy     07/10/17 21:19:36

  Modified:             ChangeLog hylafax-4.3.1.ebuild hylafax-4.3.0.ebuild
                        hylafax-4.2.5.ebuild
  Log:
  fix for bug 196147 in all versions
  (Portage version: 2.1.3.12)

Revision  Changes    Path
1.78                 net-misc/hylafax/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/ChangeLog?rev=1.78&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/ChangeLog?rev=1.78&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/ChangeLog?r1=1.77&r2=1.78

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/hylafax/ChangeLog,v
retrieving revision 1.77
retrieving revision 1.78
diff -u -r1.77 -r1.78
--- ChangeLog	24 Aug 2007 03:42:26 -0000	1.77
+++ ChangeLog	17 Oct 2007 21:19:36 -0000	1.78
@@ -1,6 +1,10 @@
 # ChangeLog for net-misc/hylafax
 # Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/ChangeLog,v 1.77 2007/08/24 03:42:26 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/ChangeLog,v 1.78 2007/10/17 21:19:36 nerdboy Exp $
+
+  17 Oct 2007; Steve Arnold <nerdboy@g.o> hylafax-4.2.5.ebuild,
+  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
+  fix for bug 196147 in all versions
 
   24 Aug 2007; Steve Arnold <nerdboy@g.o>
   +files/gentoo-gcc-version.patch, +files/hylafax.cron,



1.7                  net-misc/hylafax/hylafax-4.3.1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild?r1=1.6&r2=1.7

Index: hylafax-4.3.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- hylafax-4.3.1.ebuild	24 Aug 2007 03:42:26 -0000	1.6
+++ hylafax-4.3.1.ebuild	17 Oct 2007 21:19:36 -0000	1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild,v 1.6 2007/08/24 03:42:26 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.1.ebuild,v 1.7 2007/10/17 21:19:36 nerdboy Exp $
 
 inherit eutils multilib pam flag-o-matic toolchain-funcs
 
@@ -51,7 +51,7 @@
 	[ $(gcc-major-version) -eq 3 ] && [ $(gcc-minor-version) -ge 4 ] \
 		&& filter-flags -fstack-protector -fstack-protector-all
 
-	epatch ${FILESDIR}/gentoo-gcc-version.patch || die "epatch failed"
+	epatch "${FILESDIR}/gentoo-gcc-version.patch" || die "epatch failed"
 
 	local my_conf="
 		--with-DIR_BIN=/usr/bin
@@ -63,7 +63,7 @@
 		--with-DIR_MAN=/usr/share/man
 		--with-DIR_SPOOL=/var/spool/fax
 		--with-DIR_HTML=/usr/share/doc/${P}/html
-		--with-DIR_CGI=${WORKDIR}
+		--with-DIR_CGI="${WORKDIR}"
 		--with-PATH_DPSRIP=/var/spool/fax/bin/ps2fax
 		--with-PATH_IMPRIP=\"\"
 		--with-SYSVINIT=no
@@ -80,6 +80,7 @@
 
 	if use mgetty; then
 		my_conf="${my_conf} \
+			--with-PATH_GETTY=/sbin/mgetty \
 			--with-PATH_EGETTY=/sbin/mgetty \
 			--with-PATH_VGETTY=/usr/sbin/vgetty"
 	else
@@ -134,10 +135,10 @@
 	    /var/spool/fax/bin/{faxrcvd,pollrcvd} || die "dosed failed"
 
 	einfo "Adding env.d entry for Hylafax"
-	newenvd ${FILESDIR}/99hylafax-4.2 99hylafax
+	newenvd "${FILESDIR}/99hylafax-4.2" 99hylafax
 
 	einfo "Adding init.d entry for Hylafax"
-	newinitd ${FILESDIR}/hylafax-4.2 hylafax
+	newinitd "${FILESDIR}/hylafax-4.2" hylafax
 
 	use pam && pamd_mimic_system hylafax auth account session
 



1.11                 net-misc/hylafax/hylafax-4.3.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild?r1=1.10&r2=1.11

Index: hylafax-4.3.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- hylafax-4.3.0.ebuild	24 Aug 2007 03:42:26 -0000	1.10
+++ hylafax-4.3.0.ebuild	17 Oct 2007 21:19:36 -0000	1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild,v 1.10 2007/08/24 03:42:26 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.3.0.ebuild,v 1.11 2007/10/17 21:19:36 nerdboy Exp $
 
 inherit eutils multilib pam flag-o-matic toolchain-funcs
 
@@ -51,7 +51,7 @@
 	[ $(gcc-major-version) -eq 3 ] && [ $(gcc-minor-version) -ge 4 ] \
 		&& filter-flags -fstack-protector -fstack-protector-all
 
-	epatch ${FILESDIR}/gentoo-gcc-version.patch || die "epatch failed"
+	epatch "${FILESDIR}/gentoo-gcc-version.patch" || die "epatch failed"
 
 	local my_conf="
 		--with-DIR_BIN=/usr/bin
@@ -63,7 +63,7 @@
 		--with-DIR_MAN=/usr/share/man
 		--with-DIR_SPOOL=/var/spool/fax
 		--with-DIR_HTML=/usr/share/doc/${P}/html
-		--with-DIR_CGI=${WORKDIR}
+		--with-DIR_CGI="${WORKDIR}"
 		--with-PATH_DPSRIP=/var/spool/fax/bin/ps2fax
 		--with-PATH_IMPRIP=\"\"
 		--with-SYSVINIT=no
@@ -80,6 +80,7 @@
 
 	if use mgetty; then
 		my_conf="${my_conf} \
+			--with-PATH_GETTY=/sbin/mgetty \
 			--with-PATH_EGETTY=/sbin/mgetty \
 			--with-PATH_VGETTY=/usr/sbin/vgetty"
 	else
@@ -129,10 +130,10 @@
 	keepdir /var/spool/fax/{status,sendq,log,info,doneq,docq,dev}
 
 	einfo "Adding env.d entry for Hylafax"
-	newenvd ${FILESDIR}/99hylafax-4.2 99hylafax
+	newenvd "${FILESDIR}/99hylafax-4.2" 99hylafax
 
 	einfo "Adding init.d entry for Hylafax"
-	newinitd ${FILESDIR}/hylafax-4.2 hylafax
+	newinitd "${FILESDIR}/hylafax-4.2" hylafax
 
 	use pam && pamd_mimic_system hylafax auth account session
 



1.10                 net-misc/hylafax/hylafax-4.2.5.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild?r1=1.9&r2=1.10

Index: hylafax-4.2.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- hylafax-4.2.5.ebuild	28 Apr 2007 22:30:06 -0000	1.9
+++ hylafax-4.2.5.ebuild	17 Oct 2007 21:19:36 -0000	1.10
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild,v 1.9 2007/04/28 22:30:06 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/hylafax-4.2.5.ebuild,v 1.10 2007/10/17 21:19:36 nerdboy Exp $
 
 inherit eutils multilib pam flag-o-matic toolchain-funcs
 
@@ -33,15 +33,21 @@
 src_unpack() {
 	unpack ${A}
 
-	cd ${S}
-	epatch ${FILESDIR}/${P}-tiff_version.patch
+	cd "${S}"
+	epatch "${FILESDIR}/${P}-tiff_version.patch"
 }
 
 src_compile() {
-	if use faxonly; then
-		if use mgetty; then
-			eerror "You cannot set both faxonly and mgetty, please remove one." && die "invalid use flags"
+	if use mgetty; then
+		if use faxonly; then
+			eerror "You cannot set both faxonly and mgetty, \
+			    please remove one." && die "invalid use flags"
 		fi
+#		# proposed hylafax change for bug #195467
+#		if ! built_with_use net-dialup/mgetty nofax; then
+#			eerror "You need to rebuild the mgetty package with \
+#			    USE=nofax." && die "rebuild mgetty first"
+#		fi
 	fi
 
 	# Hylafax doesn't play nice with gcc-3.4 and SSP (bug #74457)
@@ -59,7 +65,7 @@
 		--with-DIR_MAN=/usr/share/man
 		--with-DIR_SPOOL=/var/spool/fax
 		--with-DIR_HTML=/usr/share/doc/${P}/html
-		--with-DIR_CGI=${WORKDIR}
+		--with-DIR_CGI="${WORKDIR}"
 		--with-HTML=yes
 		--with-PATH_DPSRIP=/var/spool/fax/bin/ps2fax
 		--with-PATH_IMPRIP=\"\"
@@ -70,6 +76,7 @@
 
 	if use mgetty; then
 		my_conf="${my_conf} \
+			--with-PATH_GETTY=/sbin/mgetty \
 			--with-PATH_EGETTY=/sbin/mgetty \
 			--with-PATH_VGETTY=/usr/sbin/vgetty"
 	else
@@ -118,10 +125,10 @@
 	keepdir /var/spool/fax/{status,sendq,log,info,doneq,docq,dev}
 
 	einfo "Adding env.d entry for Hylafax"
-	newenvd ${FILESDIR}/99hylafax-4.2 99hylafax
+	newenvd "${FILESDIR}/99hylafax-4.2" 99hylafax
 
 	einfo "Adding init.d entry for Hylafax"
-	newinitd ${FILESDIR}/hylafax-4.2 hylafax
+	newinitd "${FILESDIR}/hylafax-4.2" hylafax
 
 	pamd_mimic_system hylafax auth account session
 



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-apps/inputd: ChangeLog inputd-0.1.1.ebuild inputd-0.1.0.ebuild
Next by thread:
gentoo-x86 commit in www-client/epiphany: ChangeLog epiphany-2.20.1.ebuild
Previous by date:
gentoo-x86 commit in profiles: ChangeLog package.mask
Next by date:
gentoo-x86 commit in www-client/epiphany: ChangeLog epiphany-2.20.1.ebuild


Updated Aug 09, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.